This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 847643 (libmateweather)

Summary: Review Request: libmateweather - Libraries to allow MATE Desktop to display weather information
Product: [Fedora] Fedora Reporter: Dan Mashal <dan.mashal>
Component: Package ReviewAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: notting, package-review, rdieter
Target Milestone: ---Flags: rdieter: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-17 13:26:13 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 840149    

Description Dan Mashal 2012-08-13 04:20:26 EDT
Spec URL: http://vicodan.fedorapeople.org/matespec/libmateweather.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/libmateweather-1.4.0-1.fc17.src.rpm
Description: Libraries to allow MATE Desktop to display weather information
Comment 1 leigh scott 2012-08-13 15:40:47 EDT
You don't own %{_datadir}/icons/mate/ (mate-icon-theme owns it)

%files -f %{name}.lang
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/mateconf/schemas/mateweather.schemas
%{_datadir}/libmateweather/
%{_datadir}/icons/mate/
%{_datadir}/gtk-doc/html/libmateweather/
Comment 2 Dan Mashal 2012-08-13 19:28:04 EDT
Thanks, Leigh.

Will fix that shortly.
Comment 4 Wolfgang Ulbrich 2012-08-19 04:13:02 EDT
This package has a mateconf schema.
%{_sysconfdir}/mateconf/schemas/mateweather.schemas
You've to add this in scriplet section. see
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf

Note, the package from my repo use old scriplet style, so updating for f16/f17 will fail. See my comment in mate-notification-daemon.
Comment 5 Dan Mashal 2012-08-19 04:14:19 EDT
You're right. Will fix.
Comment 6 leigh scott 2012-08-19 04:43:12 EDT
(In reply to comment #5)
> You're right. Will fix.

Move this to -devel where it belongs


%{_libdir}/libmateweather.so

and this can be removed from the -devel requires

Requires:	%{name}%{?_isa} = %{version}-%{release}


as the -libs package already requires it
Comment 7 Rex Dieter 2012-08-24 12:02:58 EDT
Some initial  comments:

1. SHOULD drop  -libs subpkg,  it's already  named lib*,  and it's contents have little/no chance to induce multilib conflicts

2.  MUST move
%{python_sitearch}/mateweather/
to main pkg,  fairly certain these are for runtime use (not -devel purposes)

3.  per comment #4, MUST add mateconf schema scriptlets
Comment 8 Dan Mashal 2012-08-25 23:19:58 EDT
Fixed.

Spec URL: http://vicodan.fedorapeople.org/matespec/libmateweather.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/libmateweather-1.4.0-3.fc17.src.rpm
Description: Libraries to allow MATE Desktop to display weather information
Comment 9 Rex Dieter 2012-08-25 23:23:19 EDT
The schema scriptlets look wrong, this is what I see in mate-vfs for example,

%pre
%mateconf_schema_prepare ...

%preun
%mateconf_schema_remove ...

%post
%mateconf_schema_upgrade ...
Comment 10 Dan Mashal 2012-08-26 18:33:03 EDT
Fixed. 

Fixed.

Spec URL: http://vicodan.fedorapeople.org/matespec/libmateweather.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/libmateweather-1.4.0-4.fc17.src.rpm
Description: Libraries to allow MATE Desktop to display weather information
Comment 11 Rex Dieter 2012-08-26 19:48:26 EDT
Good thanks,

APPROVED.
Comment 12 Dan Mashal 2012-08-26 19:52:49 EDT
New Package SCM Request
=======================
Package Name: libmateweather
Short Description: Libraries to allow MATE Desktop to display weather information
Owners: vicodan rdieter
Branches: f16 f17 f18
Comment 13 Jon Ciesla 2012-08-26 21:47:09 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-08-26 23:18:38 EDT
libmateweather-1.4.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libmateweather-1.4.0-4.fc18
Comment 15 Fedora Update System 2012-08-26 23:20:17 EDT
libmateweather-1.4.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmateweather-1.4.0-4.fc17
Comment 16 Fedora Update System 2012-08-27 12:31:09 EDT
libmateweather-1.4.0-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 17 Fedora Update System 2012-09-17 13:26:13 EDT
libmateweather-1.4.0-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Fedora Update System 2012-09-17 18:48:43 EDT
libmateweather-1.4.0-5.fc18 has been pushed to the Fedora 18 stable repository.